#1140 RFE Request for including pam_pwd_expiration_warning = 0 in sssd.conf
Closed: Fixed None Opened 7 years ago by dpal.

https://bugzilla.redhat.com/show_bug.cgi?id=771412

RFE Request for including pam_pwd_expiration_warning = 0 in sssd.conf

>>   0. Proposed title of this feature request
RFE: pam_pwd_expiration_warning = 0 in sssd.conf

>>   1. Who is the customer behind the request?

      Account name: Klm Royal Dutch Airlines
      Strategic Yes
      TAM/SRM customer yes/no: yes


>>   2. What is the nature and description of the request?
When Openldap server is configured with global password policies & SSSD is
configured as LDAP client, SSSD use pam_pwd_expiration_waning field to
determine no. of days before password expire warning should be shown to user.
pam_pwd_expiration_warning = 0 will provide information given from LDAP server.

>>   3. Why does the customer need this? (List the business requirements here)
We want to have at least the same capabilities for globally set password
expitation message in the LDAP server when authenticated to RHEL 4/5 with
pam_ldap & nss_ldap

>>    4. How would the customer like to achieve this? (List the functional
requirements here)
pam_pwd_expiration_warning = 0 should be a option in sssd.conf so get & display
information which is given from LDAP

>>   5. For each functional requirement listed in question 4, specify how Red
Hat and the customer can test to confirm the requirement is successfully
implemented.
Configure password policies to give warning for any no. & set
pam_pwd_expiration_warning = 0 to check if this is printing the same upon user
login.

>>    6. Is there already an existing RFE upstream or in Red Hat bugzilla?
No.

>>    7. How quickly does this need resolved? (desired target release)
Low

>>    8. Does this request meet the RHEL Bug and Feature Inclusion Criteria
(please review)
Yes,

>>   9. List the affected packages
sssd-client

>>  10. Would the customer be able to assist in testing this functionality if
implemented?
This can be locally tested.

Fields changed

blockedby: =>
blocking: =>
coverity: =>
milestone: NEEDS_TRIAGE => SSSD 1.9.0
patch: => 0
tests: => 0
testsupdated: => 0
upgrade: => 0

Fields changed

priority: major => blocker

Fields changed

feature_milestone: =>
milestone: SSSD 1.9.0 => SSSD 1.9 beta

Fields changed

owner: somebody => jzeleny

Fields changed

status: new => assigned

Fields changed

patch: 0 => 1

Fixed by bf8cce7

component: SSSD => PAM
resolution: => fixed
status: assigned => closed
version: => 1.8.0

Metadata Update from @dpal:
- Issue assigned to jzeleny
- Issue set to the milestone: SSSD 1.9.0 beta 1

2 years ago

Login to comment on this ticket.

Metadata